Bug 1675942 - rubygem-paranoia: FTBFS in Fedora rawhide/f30
Summary: rubygem-paranoia: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-paranoia
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:53 UTC by Fedora Release Engineering
Modified: 2019-05-06 10:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-06 10:04:51 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:53 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:53 UTC, Fedora Release Engineering
no flags Details
state.log (657 bytes, text/plain)
2019-02-11 21:53 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:53:46 UTC
rubygem-paranoia failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32474507


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix rubygem-paranoia at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rubygem-paranoia will be orphaned. Before branching of Fedora 31,
rubygem-paranoia will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:53:49 UTC
Created attachment 1532817 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:53:50 UTC
Created attachment 1532818 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:53:51 UTC
Created attachment 1532819 [details]
state.log

Comment 4 Jun Aruga 2019-02-15 15:22:26 UTC
Hi slinaber, 
Sorry I want to give up maintaining this package.
Do you like to continue to maintain it?
Perhaps we can do orphan this package.
https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers

Comment 5 Jun Aruga 2019-02-15 15:22:58 UTC
I sent pull-request to communicate with the upstream.
https://github.com/rubysherpas/paranoia/pull/465

Comment 6 Fedora Release Engineering 2019-04-26 23:32:28 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 7 Steve Linabery 2019-05-03 16:01:32 UTC
(In reply to Jun Aruga from comment #4)
> Hi slinaber, 
> Sorry I want to give up maintaining this package.
> Do you like to continue to maintain it?
> Perhaps we can do orphan this package.
> https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers

+1 to orphaning this package

Comment 8 Jun Aruga 2019-05-06 10:04:51 UTC
orphaned, and sent email to devel@ mailing list for the announcement.
https://src.fedoraproject.org/rpms/rubygem-paranoia


Note You need to log in before you can comment on or make changes to this bug.